Create Phabricator projects for the Wikimedia Developer Summit
Closed, ResolvedPublic

Description

We need to create the projects for the Wikimedia Developer Summit 2017, but before doing so it would be useful to agree on an approach for annual events. Maybe the conclusions can be reused for GSoC, Outreachy, and Google Code-in, since the structure of the problem is the same.

Until now we have created separate projects for each event (Summit, the Wikimedia Hackathon, the Wikimania Hackathon), one for submitting proposals, and another one for the -organization. Every new project requires interested people to join/watch, and we need to also move organizations tasks that were created before the event, or are inherited from previous events.

Now that we have milestones and subprojects... could this be handled more efficiently?

Qgil created this task.Aug 9 2016, 12:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2016, 12:04 PM
Qgil added a subscriber: Rfarrand.Aug 9 2016, 12:05 PM
Danny_B added a subscriber: Danny_B.

could this be handled more efficiently?

Yes.

I'm really happy that you've changed your mind, because I've proposed this several months ago, but you haven't "seen a need or usefulness".

Here's the proposed flexible, easy managable, open for future extending structure:

<event>
Incoming
[Epics]
<event>-<year>
│ ├ Incoming
│ ├ [Epics]
│ ├ Organization
│ │ ├ Incoming
│ │ ├ <columns>
│ │ ├ <as>
│ │ └ <needed>
│ └ Proposals
│ ├ Incoming
│ ├ <columns>
│ ├ <as>
│ └ <needed>
<event>-<anotheryear>
Incoming
[Epics]
Organization
│ ├ Incoming
│ ├ <columns>
│ ├ <as>
│ └ <needed>
Proposals
Incoming
<columns>
<as>
<needed>
etc...
[] - optional column if applicable

Usable for any kind of event. Hackathons, DevSummits, GSoCs, Code-Ins, Outreachys, Wikimanias, ...

"Proposals" can be named "Sessions" for conpherence-like events to be yet more general, descriptive and flexible, then the structure would be for instance

Sessions
Incoming
Proposals to review
Approved proposals
Rejected proposals
Needs scheduling
Scheduled

(Of course the breakdown can be more or less granular than this, this is just an illustrational example.)


(No need to worry about creation, I'm ready to create the entire structure once the discussion is done)

Qgil added a comment.Aug 23 2016, 12:08 PM

Alright, so taking the Summit as an example, now we would create a projects Wikimedia-Developer-Summit and then a milestone WDS-2017, right? I am fine with this.

Aklapper added a comment.EditedAug 29 2016, 12:58 PM

@Qgil: If we create a generic (year-less) project and a 2017 milestone (as proposed), where would 2017 organization tasks end up? Asking as Milestones cannot have a sub-project child or a milestone child while Subprojects can have a subproject child or milestone child.

So I'd say 2017 should be a Subproject (instead of a Milestone) of the generic year-less project, and "organization" and "proposals" should be milestones of that subproject? (As proposed by Danny_B above.)

Qgil added a comment.Aug 29 2016, 1:16 PM

Good point. Yes, organization can go across editions and it is more useful to do so. Content is specific to each edition.

Before starting creation of anything, please mind the icons in the proposal.

2017 can't be a milestone, but subproject, otherwise it won't work at all.

Qgil added a comment.Aug 30 2016, 9:55 AM

<event>-<year>
│ ├ Incoming
│ ├ [Epics]
│ ├ Organization
│ │ ├ Incoming
│ │ ├ <columns>
│ │ ├ <as>
│ │ └ <needed>
│ └ Proposals
│ ├ Incoming
│ ├ <columns>
│ ├ <as>
│ └ <needed>

I don't think we need all that complexity under " <event>-<year>". Organization and potential epics can be handled at the top level. At the Year level we only need Proposals. This is why I think that milestones for years is enough.

Aklapper closed this task as Resolved.Aug 31 2016, 11:38 AM
Aklapper moved this task from September to August on the Developer-Relations (Jul-Sep-2016) board.

I've created

Please create columns in the milestone projects (Organization and Sessions) as needed. See the 2016 board for inspiration.

The usual boilerplate text: Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates! Recommended practices for project and workboard management in Phabricator are available.

If someone wants database changes to move the three archived top-level projects MediaWiki-Developer-Summit-2015, Wikimedia-Developer-Summit-2016, Wikimedia-Developer-Summit-2016-Organization under the new generic Wikimedia-Developer-Summit umbrella project, please file a separate task for @mmodell. Thanks!

Closing as resolved.

Wooo Hoo, Thanks!

Note to myself: Those milestones aren't offered in the project dropdowns. So you can only set the "Wikimedia-Developer-Summit-2017" subprojects but not directly its milestones "Wikimedia-Developer-Summit-2017 > Organization" or "Wikimedia-Developer-Summit-2017 > Sessions".
Grmpf.

Qgil added a comment.Aug 31 2016, 4:35 PM

I think I made a good case to create Wikimedia-Developer-Summit-2017 as a milestone and not a subproject, and not to have any other subprojects/anything under 2017, 2018...

Did you take a different route accidentally or on purpose?

Aklapper reopened this task as Open.Sep 2 2016, 6:37 AM
Aklapper moved this task from August to September on the Developer-Relations (Jul-Sep-2016) board.

Nope, my mistake not reading closely enough. Let me rename/create/archive/move/edit later to fix this. Reopening.

Aklapper closed this task as Resolved.Sep 5 2016, 11:42 AM

Organization and potential epics can be handled at the top level.
At the Year level we only need Proposals.
create Wikimedia-Developer-Summit-2017 as a milestone and not a subproject

Fixed: https://phabricator.wikimedia.org/project/profile/2192/ (umbrella) and https://phabricator.wikimedia.org/project/profile/2205/ (2017 milestone).

Imported 2016 Session workboard columns for convenience; can be renamed via "Manage board > (click column name in list) > Edit Column): https://phabricator.wikimedia.org/project/board/2205/

Qgil awarded a token.Sep 6 2016, 12:26 PM